<?
if($duser["id"]==''){echo 'Ошибка';include('footer.php');exit();}
include('setup.php');
if(isset($_POST["text"])){
  $test_text = text($_POST["text"]);
  $test_url = text($_POST["url"]);

  if($_SESSION["z_code"] != @$_POST["z_code"] or $_SESSION["z_code"]=="" or @$_POST["z_code"]==""){

    $error = "Многократная отправка запрещена";

  }else{
  	unset($_SESSION["z_code"]);

  	if($duser["bonus_test"] >= $con_test["num"]){
      $error = "Вы уже опробывали нашу рекламу";

  	}else{
  	  if(strlen($test_text) > 150 or strlen($test_text) < 5){
        $error = "Текст должно быть не менее 5 символов и не более 150";

  	  }else{
  	    if(strlen($test_url) > 150 or strlen($test_url) < 11){
          $error = "URL ссылки должно быть не менее 11 символов и не более 150";

  	    }else{
	      mysql_query("INSERT INTO tb_ads1 (fechainicia, paypalemail, plan, url, description, tipo, highlight, timer, vip, dopsec,test)
	      VALUES('".time()."','".$duser["wmid"]."','".$con_test["zacaz"]."','$test_url','$test_text','ads','0','".$con_test["time"]."','1','2','1')");

	      $t=date("d.m.Y", time());
	      $res=mysql_query("select count(id) as kol from tb_adsdate where data='$t'");
	      $res=mysql_fetch_assoc($res);
	      if($res["kol"]>0){
		    mysql_query("update tb_adsdate set kolvo=kolvo+1 where data='$t'");
	      }else{
		    mysql_query("insert into tb_adsdate (data,kolvo) values ('$t','1')");
	      }

	      mysql_query("UPDATE `tb_users` SET `bonus_test` = `bonus_test` + '1' WHERE `id`='".$duser["id"]."'");

	      $er_ok = "Ваша ссылка добавлена";

	    }

	  }

  	}

  }

}

//Маленькая защитка
if(@$_SESSION["z_code"] == ""){
$_SESSION["z_code"] = md5(rand(10000,100000));
}

$z_code = $_SESSION["z_code"];

$us_mon=mysql_query("select `bonus_test` from `tb_users` where `id`='".$duser["id"]."'");
$s_m=mysql_fetch_assoc($us_mon);
?>